Skip to main content
GET
/
api
/
v1
/
console
/
agents
List agents
curl --request GET \
  --url https://api.bimpe.ai/api/v1/console/agents \
  --header 'Authorization: Bearer <token>'
{
  "message": "Success",
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "system_prompt": "<string>",
      "language": "<string>",
      "persona": "<string>",
      "agent_workflow_id": "<string>",
      "rules": [
        {
          "id": "<string>",
          "name": "<string>",
          "trigger": "<string>",
          "response": "<string>",
          "enabled": true,
          "condition": "<string>",
          "action": "<string>"
        }
      ],
      "timezone": "<string>",
      "logo": "<string>",
      "business_name": "<string>",
      "business_address": "<string>",
      "business_email": "<string>",
      "business_description": "<string>",
      "test_channel_code": "<string>",
      "status": "<string>",
      "status_reason": "<string>",
      "escalation_email": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total_count": 42,
    "page_count": 3,
    "current_page": 1,
    "limit": 20,
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
Maximum string length: 255
sort
string

Sort field with optional leading "-" for descending.

Maximum string length: 64
Example:

"-created_at"

Response

Paginated list of agents

message
string
required
Example:

"Success"

data
object[]
required
meta
object
required